<?php
class myBlock extends control
{
    public function printDownloadBlock($blockID)
    {
        $block = $this->block->getByID($blockID);
        if(empty($block)) return false;

        $this->app->loadLang('client');

        $html = '<div class="alert with-icon"><i class="icon-download"></i><div class="content">' . $this->lang->client->currentVersion . ': ' . '<strong>' . $this->config->xuanxuan->version . '</strong><br>'. $this->lang->client->userDownloadTips . ($this->app->user->admin == 'super' ? '<br>' . $this->lang->client->generateLinkTips : '') .'</div></div>';
        $html .= '<div style="display: flex; flex-direction: row; justify-content: center; align-items: center">';
        $html .= html::a('', $this->lang->client->downloadClient, "data-iframe='" . helper::createLink('client', 'downloadClient', '', '', true) . "' class='btn btn-primary iframe' data-width='400'");
        if($this->app->user->admin == 'super') $html .= html::a('', $this->lang->client->getDownloadLinks, "data-iframe='" . helper::createLink('client', 'getClientLinks', '', '', true) . "' class='btn btn-primary iframe' data-width='680' style='margin-left:20px;'");
        $html .= '</div>';

        die($html);
    }
}
